Subject: Re: XP64 problem
From: skaller <[email-masked]>
To: mwoehlke <[email-masked]>
Cc: [email-masked]
Date: Wed, 28 Jun 2006 03:13:33 +1000

On Tue, 2006-06-27 at 09:54 -0500, mwoehlke wrote:
> skaller wrote:

> FWIW, I run Cygwin on Win2K3 R2 x64 with no problems. 

Well Cygwin 'runs' with no problems. The problem here
seems to be a problem a with a binary generated by gcc et al,
that is, it isn't really a Cygwin problem as such.

> However, I mostly 
> use Microsoft's 'cl' as the compiler for my own programs.

I do that too, and also use MinGW compiler bundled with
Cygwin's gcc via the -nocygwin option thing.

> Did you try using a debugger (like gdb) to see *why* your program is 
> SEGV'ing?

I tried gdb briefly, but 

(a) its hard to use because it exhibits spurious errors
due to signals Cygwin normally catches

(b) I'm no expert with gdb

I mainly develop on Linux: the building on Cygwin (and using cl)
is just to check the system builds.

-- 
John Skaller <skaller at users dot sf dot net>
Felix, successor to C++: http://felix.sf.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/